void main( void )
{
 int &pap;
 int &beat;
 &beat = 0;
 &pap = random(15, 1)
 if (&pap == 1)
 {
  say_stop("`4你好啊，先生。", &current_sprite);
 }
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "打招呼"
 "打听他的故事"
 "离开"
 choice_end()
  if (&result == 1)
  {
   say_stop("你是以何为生？", 1);
   wait(250);
   say_stop("`4我是个猎人。", &current_sprite);
   wait(250);
   say_stop("`4希望能在此地寻找高等毛皮。", &current_sprite);
   wait(250);
   say_stop("这工作听上去不错嘛", 1);
   wait(250);
   say_stop("找到什么了吗？", 1);
   wait(250);
   say_stop("`4没有啊，最近似乎有些怪啊。", &current_sprite);
   wait(250);
   say_stop("`4附近有不少怪物猖狂，", &current_sprite);
   wait(250);
   say_stop("`4把动物们都吓走了。", &current_sprite);
  }
  if (&result == 2)
  {
   &pap = random(2, 1);
   if (&pap == 1)
   {
    goto story1;
   }
   if (&pap == 2)
   {
    goto story2;
   }
  }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 if (&beat == 0)
 {
  &beat = 1;
  say_stop("`4先生请住手。我可不是好好先生。", &current_sprite);
  return;
 }
 if (&beat == 1)
 {
  &beat = 2;
  say_stop("`4我警告你哦。", &current_sprite);
  return;
 }
 if (&beat == 2)
 {
  say_stop("`4靠，我走了！", &current_sprite);
  sp_speed(&current_sprite, 4);
  move_stop(&current_sprite, 3, 700, 1);
  freeze(&current_sprite);
  wait(500);
  say_stop("再见。", 1);
  sp_active(&current_sprite, 0);
 }
}

void story1( void )
{
 story1:
 say_stop("`4我也听说过不少故事，", &current_sprite);
 wait(250);
 say_stop("`4有个传说提到了大海中的一个小岛。", &current_sprite);
 wait(250);
 say_stop("`4那里人龙共存在", &current_sprite);
 wait(250);
 say_stop("`4和平之中，没有战争，没有战斗。", &current_sprite);
 wait(250);
 say_stop("`4我还听说有条底下通道通往那里。", &current_sprite);
 wait(250);
 say_stop("`4那里应该是个美丽的地方，", &current_sprite);
 wait(250);
 say_stop("`4可我不信这样的地方会存于世上，这只是个古老的传说而已。", &current_sprite);
 unfreeze(1);
 unfreeze(&current_sprite);
}

void story2( void )
{
 story2:
 say_stop("`4很久以前这块土地有一整个地精城堡", &current_sprite);
 wait(250);
 say_stop("`4听说他们以那城堡为基地发动攻击在这大陆横行霸道。", &current_sprite);
 wait(250);
 say_stop("`4但是有人说一个魔法师给城堡下了道强大的法术。", &current_sprite);
 wait(250);
 say_stop("`4强大到了把整个城堡都移到了北方的冰天雪地的地步。", &current_sprite);
 wait(250);
 say_stop("`4根据猜测，那些地精应该都受不了那里的气候而死吧。", &current_sprite);
 wait(250);
 say_stop("`4也就是说，自从那以后，没人再听说过这座城堡垒。", &current_sprite);
 unfreeze(1);
 unfreeze(&current_sprite);
}
